luaservice::Environment_2_0_0 Struct Reference

The struct represents two kinds of information: More...

`import"LuaService.idl";`

## Public Attributes

int | maxScriptMemoryGrowth
| maximum virtual memory growth per script (l)
int | maxAmountOfScripts
| number of scripts that can be stored (l)
int | amountOfScripts
| number of scripts that are stored (cs)
int | maxScriptSize
| maximum size of a script file (l)
int | maxAllScriptSize
| maximum size of all script files (l)
int | allScriptSize
| size of all script files (cs)
int | outputBufferSize
| output buffer size per script (l)
int | restartInterval
| minimum delay to next (re)start (cs)
int | autoStartDelay
| minimum delay to 'autoStart' a script

## Detailed Description

The struct represents two kinds of information:

- limit (l)
- current status (cs) Is a limit set to zero then there is no limit set. The unit of size is byte. The unit of interval is millisecond.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/LuaService.idl